from random import *

def Y():
    y=randint(1,6)
    for i in range(4):
        a=randint(1,6)
        if y<a:
            y=a
    return y

def Moyenne(n):
    somme=0
    for k in range(n):
        somme=somme+Y()
    m=somme/n
    return m

def Distance(n):
    e=5.43
    d=abs(Moyenne(n)-e)
    return d
